Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/gh/kyc/ssnit
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
id *stringThe Voter Number, Application ID, or National ID Number (NIN)required
full_name *stringThe full name of the document holderrequired
date_of_birth*stringThe date of birth of the document holder in the form yyyy-MM-DDrequired

Sample response

Response
{
  "entity": {
    "card_serial": "R1970200019702",
    "date_of_birth": "1980-02-03",
    "full_name": "John Doe",
    "gender": "MALE",
    "id": "C000000000000",
    "is_date_of_birth_match": true,
    "is_full_name_match": true,
    "picture": "iVBORw0KGgoAAAANSUhEUgAAAQAAAAEACAYA"
  }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.card_serialstringSSNIT card serial number
entity.date_of_birthstringDate of birth of the individual (yyyy-MM-dd)
entity.full_namestringFull name of the individual
entity.genderstringGender of the individual
entity.idstringSSNIT ID number
entity.is_date_of_birth_matchbooleanWhether the provided date of birth matches the record
entity.is_full_name_matchbooleanWhether the provided name matches the record
entity.picturestringBase64-encoded photo of the individual